<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Températures - Projet IOT</title>
    <script src="https://cdn.jsdelivr.net/npm/chart.js@2.8.0"></script>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/css/materialize.min.css">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/js/materialize.min.js"></script>
    <script src="node_modules/axios/dist/axios.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.24.0/moment.min.js"></script>
    <link rel="stylesheet" href="style.css">

</head>
<body>
    <h1>Graphique des températures</h1>
    <canvas id="temperatureChart" width="400" height="180"></canvas>
</body>
<script>
    let datas = [];
    let dates = [];
    let degrees = [];

    var ctx = document.getElementById('temperatureChart').getContext('2d');
    var chart = new Chart(ctx, {
        // The type of chart we want to create
        type: 'line',
        // The data for our dataset
        data: {
            labels: dates,
            datasets: [{
                label: 'Temperatures',
                backgroundColor: '',
                borderColor: 'rgb(255,165,0)',
                data: degrees
            }]
        },

        // Configuration options go here
        options: {}
    });

    axios.get('http://localhost:3000/data')
        .then(response =>{
            datas = response.data;
            datas.map(obj => {
                dates.push(moment(obj.localDate).format("DD/MM/YYYY HH:mm:ss:SS"));
                degrees.push(obj.degree);
            })
            chart.update();
        })
        .catch(error =>
            console.log(error)
        )

</script>
</html>